/*Reset*/
* { box-sizing: border-box; padding: 0; margin: 0;}

/*Elementos Básicos*/
html {font-family: 'Raleway', sans-serif;}  
body {background-color: grey;}
header, footer {padding: 30px;}
main {background-color: #444; padding:10; font-size:1em;}
nav ul {list-style-type: none;}
nav a {text-decoration: none; color: white; font-weight: bold}
nav ul li {padding: 10px;}
ul li:hover {text-decoration: underline; background-color: #666;}

main > * {
    padding:20px;
    background-color: azure;
    margin: 10px;
}



.grid {
    display: grid;
    grid-gap: 20px;
    grid-template-columns:
        [full-start] minmax(1em,1fr)
        [main-start] minmax(0,1200px) [main-end]
        minmax(1em,1fr) [full-end];
}

.grid > * {
    grid-column: main;
}

.grid > .full {
    grid-column: full;
}


/*Classes*/
.full {
    background-color: #222; 
    color: white; 
}

.flex-header {
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: auto;
}

/*Desktop Responsive*/
@media only screen and (min-width: 768px) {
    nav ul li {display: inline;}

    
}

